unit Informes;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RdxPaneles, RdxBarras, ExtCtrls, RdxFrame, ComCtrls, AdvPanel,
  dxLayoutControl, jpeg, cxControls, dxLayoutLookAndFeels, StdCtrls,
  Configuracion;

type
  TfrInformes = class(TRdxFrame)
    PanelPrincipal: TPanel;
    BarraInformes: TRdxBarraSuperior;
    pnlCuerpo: TPanel;
    lcMain: TdxLayoutControl;
    lcMain___Root: TdxLayoutGroup;
    lcGrupoDatos: TdxLayoutGroup;
    dxLayoutGroup1: TdxLayoutGroup;
    lcGrupoProveedores: TdxLayoutGroup;
    lcGrupoClientes: TdxLayoutGroup;
    lcTitComisionesVendedores: TdxLayoutItem;
    lcDesComisionesVendedores: TdxLayoutItem;
    lcTitListadoClientes: TdxLayoutItem;
    lcDesListadoClientes: TdxLayoutItem;
    lcTitListadoFacturasCliente: TdxLayoutItem;
    lcDesListadoFacturasCliente: TdxLayoutItem;
    lcGrupoContabilidad: TdxLayoutGroup;
    lcTitSeguimientoLibro: TdxLayoutItem;
    lcDesSeguimientoLibro: TdxLayoutItem;
    lcTitListadoPagosCli: TdxLayoutItem;
    lcDesListadoPagosCli: TdxLayoutItem;
    lcTitInformeTrimestralCompras: TdxLayoutItem;
    lcDesInformeTrimestralCompras: TdxLayoutItem;
    lcMainGroup8: TdxLayoutGroup;
    lcMainGroup6: TdxLayoutGroup;
    lcMainGroup1: TdxLayoutGroup;
    lcMainGroup3: TdxLayoutGroup;
    lcTitInformeVentas: TdxLayoutItem;
    lcDesInformeVentas: TdxLayoutItem;
    lcTitListadoBeneficiosCliente: TdxLayoutItem;
    lcTitInformeBeneficios: TdxLayoutItem;
    procedure lcTitListadoFacturasClienteCaptionClick(Sender: TObject);
    procedure lcTitComisionesVendedoresCaptionClick(Sender: TObject);
    procedure lcTitSeguimientoLibroCaptionClick(Sender: TObject);
    procedure lcTitListadoFacturasProveedorCaptionClick(Sender: TObject);
    procedure lcTitListadoClientesCaptionClick(Sender: TObject);
    procedure lcTitListadoProveedoresCaptionClick(Sender: TObject);
    procedure lcTitResumenFacturasProveedorCaptionClick(Sender: TObject);
    procedure lcTitResumenFacturasClienteCaptionClick(Sender: TObject);
    procedure lcTitInformeTrimestralComprasCaptionClick(Sender: TObject);
    procedure lcTitInformeVentasCaptionClick(Sender: TObject);
    procedure lcTitListadoPagosCliCaptionClick(Sender: TObject);
    procedure lcTitListadoBeneficiosClienteCaptionClick(Sender: TObject);
    procedure lcTitInformeBeneficiosCaptionClick(Sender: TObject);
  protected
  public
    { Public declarations }
  end;

var
  frInformes: TfrInformes;

implementation

{$R *.dfm}

uses
  Entidades, BaseDatos, HistorialFacturacionClientes, ComisionesVendedores,
  ImprimirLibro, HistorialFacturacionProveedores, ListadoClientes,
  ListadoProveedores, Mensajes, StrFunc, RdxFrameImprimirLibro,
  ResumenFacturacionProveedores, ResumenFacturacionClientes, InformeTrimestral,
  ListadoPagosCliente, ListadoBeneficiosCliente, ImprimirBeneficiosAnuales;

procedure TfrInformes.lcTitListadoFacturasClienteCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrHistorialFacturacionClientes.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitComisionesVendedoresCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrComisionesVendedores.Create(Self);
  Contenido.Modo := Consultar;
end;

procedure TfrInformes.lcTitSeguimientoLibroCaptionClick(Sender: TObject);
begin
  Contenido := TfrImprimirLibro.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitListadoFacturasProveedorCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrHistorialFacturacionProveedores.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitListadoClientesCaptionClick(Sender: TObject);
begin
  Contenido := TfrListadoClientes.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitListadoProveedoresCaptionClick(Sender: TObject);
begin
  Contenido := TfrListadoProveedores.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitResumenFacturasProveedorCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrResumenFacturacionProveedores.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitResumenFacturasClienteCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrResumenFacturacionClientes.Create(Self);
  Contenido.Modo := Imprimir;
end;

procedure TfrInformes.lcTitInformeTrimestralComprasCaptionClick(
  Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralCompras;
  Contenido.Modo := Consultar;
end;

procedure TfrInformes.lcTitInformeVentasCaptionClick(Sender: TObject);
begin
  Contenido := TfrInformeTrimestral.Create(Self);
  Contenido.Entidad := entInformeTrimestralVentas;
  Contenido.Modo := Consultar;
end;

procedure TfrInformes.lcTitListadoPagosCliCaptionClick(Sender: TObject);
begin
  Contenido := TfrListadoPagosCliente.Create(Self);
  Contenido.Modo := Consultar;
end;

procedure TfrInformes.lcTitListadoBeneficiosClienteCaptionClick(Sender: TObject);
begin
  Contenido := TfrListadoBeneficiosCliente.Create(Self);
  Contenido.Modo := Consultar;
end;

procedure TfrInformes.lcTitInformeBeneficiosCaptionClick(Sender: TObject);
begin
  Contenido := TfrImprimirBeneficiosAnuales.Create(Self);
  Contenido.Modo := Consultar;
end;

end.
